Package wx :: Class TreeItemData

[frames | no frames]

## Type TreeItemData

    object --+
             |
            TreeItemData

Proxy of C++ TreeItemData class

Method Summary
TreeItemData | `__init__(self, obj)`
| `__del__(self)`
| `Destroy(self)`
PyObject | `GetData(self)`
TreeItemId | `GetId(self)`
| `SetData(self, obj)`
| `SetId(self, id)`

Property Summary
| `Data`: See `GetData` and `SetData`
| `Id`: See `GetId` and `SetId`
| `thisown`: The membership flag

Property Details

### Data

See `GetData` and `SetData`

  Get Method:
    `GetData`(self)
  Set Method:
    `SetData`(self, obj)

### Id

See `GetId` and `SetId`

  Get Method:
    `GetId`(self)
  Set Method:
    `SetId`(self, id)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:41 2007 | http://epydoc.sf.net